## NAME

r.region - Program to manage the boundary definitions for a raster map.
(GRASS Raster Program)

## SYNOPSIS

r.region
r.region help
r.region [-cd] map=name [region=name] [raster=name] [vector=name] [3dview=name] [n=value] [s=value] [e=value] [w=value] [align=name]

## DESCRIPTION

The r.region program allows the user to manage the boundaries of a raster map. These boundaries can be set by the user directly and/or set from a region definition file (stored under the `windows` directory in the user's current mapset), a raster or vector map, or a 3dview file.

### Flags:

-c
  Set the boundaries to those of the current region.
-d
  Set the boundaries to those of the default region.

### Parameters:

map=name
  Raster map whose boundaries are to be set
region=name
  Obtain the boundaries from the specified region file
raster=name
  Obtain the boundaries from the specified raster map
vector=name
  Obtain the boundaries from the specified vector map
3dview=name
  Obtain the boundaries from the specified 3dview file
n=value
  Set map coordinate value for the map's northern edge to value
s=value
  Set map coordinate value for the map's southern edge to value
e=value
  Set map coordinate value for the map's eastern edge to value
w=value
  Set map coordinate value for the map's western edge to value
align=name
  Set the current resolution equal to that of the named raster map, and align the boundaries to a row and column edge in the named map. Alignment only moves the existing boundaries outward to the edges of the next nearest cell in the named raster map -- not to the named map's edges. To perform the latter function, use the raster=name option.

## NOTE

After all updates have been applied, the raster map's resolution settings are recomputed from the boundaries and the number of rows and columns in the raster map.

## SEE ALSO

r.support
g.region

## AUTHOR

Glynn Clements
Based upon g.region

Last changed: $Date: 2002/04/08 01:30:44 $